unit Simple_;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, MFHtScan, ComCtrls, Menus;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    StatusBar1: TStatusBar;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    HttpScan1: THttpScan;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure HttpScan1Working(Sender: TObject; Working_: Boolean);
    procedure Exit1Click(Sender: TObject);
    procedure HttpScan1LinkFound(Sender: TObject; UrlFound, TypeLink,
      FromUrl, HostName, UrlPath, UrlPathWithFile, ExtraInfos: String;
      var WriteToFile: String; HrefOrSrc: Char; CountArea: Integer;
      var FollowIfHtmlLink: Boolean);
  private
    { Dclarations prives}
  public
    { Dclarations publiques}
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button2Click(Sender: TObject);
begin
   HttpScan1.Stop;
   StatusBar1.SimpleText := 'Stopping...';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  HttpScan1.Start (Edit1.Text);
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   HttpScan1.Stop;
end;

procedure TForm1.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
   CanClose := true;
   if HttpScan1.Working then begin
      if not HttpScan1.Stopping then begin
         CanClose := false;
         if MessageDlg ('Do you really want to quit ?', mtConfirmation, [mbYes,mbCancel], 0) = mrCancel then begin
         end
         else begin
            HttpScan1.Exit;
         end;
      end;
   end;
end;

procedure TForm1.HttpScan1Working(Sender: TObject; Working_: Boolean);
begin
   if Working_ then begin
      StatusBar1.SimpleText := 'Working...';
   end
   else begin
      StatusBar1.SimpleText := 'Done.';
   end;
end;

procedure TForm1.Exit1Click(Sender: TObject);
begin
   Close;
end;

procedure TForm1.HttpScan1LinkFound(Sender: TObject; UrlFound, TypeLink,
  FromUrl, HostName, UrlPath, UrlPathWithFile, ExtraInfos: String;
  var WriteToFile: String; HrefOrSrc: Char; CountArea: Integer;
  var FollowIfHtmlLink: Boolean);
begin
   Memo1.Lines.Add (UrlFound);
end;

end.
